Subject: bug#52267: Acknowledgement (disk image installer for rock64 fails)

From: Maxime Devos <[email-masked]>
Date: Wed, 08 Dec 2021 17:27:40 +0000

Florian Hoertlehner schreef op wo 08-12-2021 om 14:56 [+0100]:
> Installer build fails with cross compilation due to meson build
> error.

Do you mean an error message like the following:

guix build: error: gnu/packages/glib.scm:425:2: [email-masked]: build
system `meson' does not support cross builds

If so, you could try on 'core-updates-frozen' instead of 'master',
because on 'core-updates-frozen' meson supports cross-compilation (from
what I've heard, core-updates-frozen is in a relatively decent though
not perfect state).

Greetings,
Maxime